# libloader.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/error.h>`

Go to the source code of this file.

## Defines

#define | GWEN_LIBLOADER_ERROR_COULD_NOT_CLOSE 3
#define | GWEN_LIBLOADER_ERROR_COULD_NOT_LOAD 1
#define | GWEN_LIBLOADER_ERROR_COULD_NOT_RESOLVE 4
#define | GWEN_LIBLOADER_ERROR_NOT_FOUND 5
#define | GWEN_LIBLOADER_ERROR_NOT_OPEN 2
#define | GWEN_LIBLOADER_ERROR_TYPE "LIBLOADER"
#define | GWENHYWFAR_LIBLOADER_H "$Id"

## Typedefs

typedef GWEN_LIBLOADERSTRUCT | GWEN_LIBLOADER

## Functions

GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_CloseLibrary (GWEN_LIBLOADER *h)
GWENHYWFAR_API void | GWEN_LibLoader_free (GWEN_LIBLOADER *h)
GWENHYWFAR_API GWEN_LIBLOADER * | GWEN_LibLoader_new ()
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_OpenLibrary (GWEN_LIBLOADER *h, const char *name)
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_OpenLibraryWithPath (GWEN_LIBLOADER *h, const char *path, const char *name)
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_Resolve (GWEN_LIBLOADER *h, const char *name, void **p)

## Define Documentation

#define GWEN_LIBLOADER_ERROR_COULD_NOT_CLOSE 3

#define GWEN_LIBLOADER_ERROR_COULD_NOT_LOAD 1

#define GWEN_LIBLOADER_ERROR_COULD_NOT_RESOLVE 4

#define GWEN_LIBLOADER_ERROR_NOT_FOUND 5

#define GWEN_LIBLOADER_ERROR_NOT_OPEN 2

#define GWEN_LIBLOADER_ERROR_TYPE "LIBLOADER"

#define GWENHYWFAR_LIBLOADER_H "$Id"